<?php
/**
 * The template for fetching single post.
 *
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>

<div class="eachpost group">
	<div class="entry-header group">
		<?php
			$mimbolove_post_format = get_post_format();
			if ( false === $mimbolove_post_format )
			$mimbolove_post_format = 'standard';
		?>
		
		<?php if ( is_sticky() ) : ?>
		<h3 class="entry-format">&#182; <?php _e( 'Featured post', 'Mimbolove' ); ?></h3>
		<?php endif; ?>
		
		<h1 class="entry-title format-<?php echo $mimbolove_post_format;?>">
			<?php if ( is_singular() ):
				// single post title should NOT display a phyperlink to itself as per standards.
				the_title();
			else : ?>
				<a class="entry-title-link" href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'Mimbolove' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			<?php endif; ?>
			<?php edit_post_link('', '', ''); # We display only a "edit image". So, no edit-post, or any such text. ?> 
		</h1>
		
		<?php if( "page" != get_post_type() ): ?>
			<div class="publish-time-with-author">															
				<?php mimbolove_posted_at_with_author(); ?>			
			</div>			
		<?php endif;?>
		
		<?php if( "page" != get_post_type() ): ?>
			<div class="post-meta-comments">
				<?php 
					mimbolove_get_post_comments();
				?>
			</div>
		<?php endif;?>
	</div>
	
	<div id="post-<?php the_ID(); ?>" <?php post_class('group');?>>				
		<?php 
		if ( is_search() ) :
			( ! is_single() ) and mimbolove_get_featured_image();
			the_excerpt();
		else :
			( ! is_single() ) and mimbolove_get_featured_image();
			the_content(); 
		endif;
		?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'Mimbolove' ) . '</span>', 'after' => '</div>' ) ); ?>
	</div>
	
		<?php if( "page" != get_post_type() ): ?>
		<div class="post-footer group">
		
			<div class="post-meta-cat">
				<?php mimbolove_get_post_categories();?>
			</div>
			<div class="post-meta-tag">
				<?php mimbolove_get_post_tags();?>
			</div>
			
		</div>	<!-- close of post-footer with post meta -->
		<?php endif;?>			
		
		<?php if( "page" == get_post_type() ): ?>
			<?php if ( comments_open() && ! post_password_required() ) : ?>
			<div class="post-footer group">
				<div class="post-meta-comments">
					<?php 
						mimbolove_get_post_comments();
					?>
				</div>
			</div>
			<?php endif;?>
		<?php endif;?>
	
</div>
