<?php
/**
 * The template for displaying the footer.
 * Contains optional footer sidebar text widget, and 
 * and text widget which, if used, is displayed before the footer sidebar.
 * 
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>

<div id="footer">

	<?php
		/* Couple of optional sidebar in the footer.
		 * If footer-text-widget is used, then it is displayed first, 
		 * then the normal footer sidebar.
		 */
		if ( is_active_sidebar( 'sidebar-3' ) or is_active_sidebar( 'sidebar-2')  ) :
		?>
		<div id="footer-container">
		<?php
				get_sidebar( 'footer-text-widget' );
				get_sidebar( 'footer' );
		?>
		</div> <!-- close of  id="footer-container" -->
		<?php
		endif
	?>

<div id="site-generator" class="group">
	<div id="theme-author-credits">
		<?php print __("Proudly powered by ", 'Mimbolove'); ?> 
		   <a href="<?php echo esc_url( __( 'http://wordpress.org/', 'Mimbolove' ) ); ?>" title="<?php esc_attr_e( 'Semantic Personal Publishing Platform', 'Mimbolove' ); ?>" rel="generator">
		      <?php printf( __( '%s', 'Mimbolove' ), 'WordPress' ); ?>
		   </a>
		<span style="padding:0 5px;">|</span>
		<?php print __("Theme ", 'Mimbolove'); ?><a href="<?php echo esc_url( __( 'http://mimbolove.wordpress.com', 'Mimbolove' ) ); ?>" title="<?php esc_attr_e( 'Blog(=mimba - in Kannada) + Love(=Olavu - in Kannada) = MimboLove', 'Mimbolove' ); ?>" ><?php printf( __( '%s', 'Mimbolove' ), '<span id="g-theme">Mimbolove</span>' ); ?></a>		
	</div>
	<div id="blog-author-credits">
		<a href="<?php echo site_url();?>">
			<?php bloginfo( 'name' );?>	
		</a><span> : <?php printf( __('%s',"Mimbolove"), bloginfo( 'description' ) );?></span>
	</div>
</div>
</div>
<?php
   /* Always have wp_footer() just before the closing </body>
    * tag of your theme, or you will break many plugins, which
    * generally use this hook to reference JavaScript files.
    */	
    wp_footer();
?>

</div> <!-- Close of id="mimba"> -->
</body>
</html>