<?php
/**
 * The template for displaying search results.
 *
 * @package Mimbolove
 * @since Mimbolove 1.0.2
 */
?>

<?php
	get_header(); 
?>

<div id="main" class="group">
	<div id="posts-container">
		<?php if ( have_posts() ) : ?>
			<div class="search-results">
				<h3><?php _e("Search results for: ", 'Mimbolove') . the_search_query();?></h3>
			</div>
			<?php
				mimbolove_post_navigation( "nav-above" );
				while ( have_posts() ) :
					the_post();		
					if ( get_post_format() == "gallery" ):
						get_template_part( 'content', 'gallery' );
					elseif ( get_post_type() == "page" ):
							get_template_part( 'content', 'page' );
					else :
						get_template_part( 'content' );
					endif;				
			   endwhile;
			   mimbolove_post_navigation( "nav-below" );
		else : ?>
			<div class="search-results">
				<?php _e('Sorry. No posts contain the text <strong>"' . get_search_query() . '"</strong>. Please retry with differnt search term.','Mimbolove'); ?>
			</div>
		<?php endif;?>		
	</div>	<!-- closing of posts-container> -->
		
	<?php
		get_sidebar('right');
	?>
	
</div><!-- closing of main -->

<?php
	get_footer(); 
?>